Knowledgebase: dotDefender for IIS
dotDefender for IIS System Requirements
Posted by - NA - on 20 January 2008 11:15 AM
dotDefender for IIS System Requirements

1) IIS Server versions:

IIS 6.0
IIS 7.0

2) One of the following Operating Systems:

Windows Server 2003
Windows Server 2008



Note On Windows Server 2008, The following role services should be installed in addition to the default role services for IIS:

APPLICATION DEVELOPMENT:
  • ISAPI Extensions
  • ISAPI Filters
SECURITY:
  • Windows Authentication
MANAGEMENT TOOLS:
  • IIS6 Metabase Compatibility
  1. IIS6 or higher
  2. MSXML 6
  3. Administrative privileges
  4. Microsoft Visual C++ (If not found, this will be installed)

Mandatory:

IIS Manager:
1. Websites → Default website → dotDefender Virtual Directory

            (Also can be manually defined under a different website)

2. Website (properties) → ISAPI Filters → dotDefender filters

            (server masking; response filter; URL forwarder; cookie tampering)

3. Web service extensions → dotDefender web service & dotDefender (main) : ALLOWED!

 

(1022 vote(s))
This article was helpful
This article was not helpful

Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments:
CAPTCHA Verification 
 
Please enter the text you see in the image into the textbox below. This is required to prevent automated registrations and form submissions.

Help Desk Software by Kayako fusion